aboutsummaryrefslogtreecommitdiff
path: root/contrib/taler-exchange-dbconfig
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2023-08-11 20:43:13 +0200
committerChristian Grothoff <christian@grothoff.org>2023-08-11 20:43:13 +0200
commitcac5b2ca615653a404da7ae2212194581b81574a (patch)
tree92d76385663865c8bcda33a9932dd8ccf15026af /contrib/taler-exchange-dbconfig
parent1b37347422f00edb648dfa78cd83083a2f80a9e8 (diff)
downloadexchange-cac5b2ca615653a404da7ae2212194581b81574a.tar.xz
allow -h without root
Diffstat (limited to 'contrib/taler-exchange-dbconfig')
-rwxr-xr-xcontrib/taler-exchange-dbconfig24
1 files changed, 12 insertions, 12 deletions
diff --git a/contrib/taler-exchange-dbconfig b/contrib/taler-exchange-dbconfig
index efa4247e9..4be0fef7d 100755
--- a/contrib/taler-exchange-dbconfig
+++ b/contrib/taler-exchange-dbconfig
@@ -19,18 +19,6 @@
# Error checking on
set -eu
-if ! id postgres > /dev/null
-then
- echo "Could not find 'postgres' user. Please install Postgresql first"
- exit 1
-fi
-
-if [ "$(id -u)" -ne 0 ]
-then
- echo "This script must be run as root"
- exit 1
-fi
-
RESET_DB=0
SKIP_DBINIT=0
DBUSER="taler-exchange-httpd"
@@ -67,6 +55,18 @@ while getopts ':hn:rsu:' OPTION; do
esac
done
+if ! id postgres > /dev/null
+then
+ echo "Could not find 'postgres' user. Please install Postgresql first"
+ exit 1
+fi
+
+if [ "$(id -u)" -ne 0 ]
+then
+ echo "This script must be run as root"
+ exit 1
+fi
+
if [ 0 = "$SKIP_DBINIT" ]
then
if ! taler-exchange-dbinit -v 2> /dev/null